#declare Flower_Head =
union {


blob {
	threshold .75
	
	// central part of slower head  
	sphere {<0,0,0>,2,1 scale <1,.5,1> texture{Tex1}}
	sphere {<0,.75,0>,1,-2 texture{Tex1}} 
}

blob {
 	threshold .75
	
	sphere {<0,0,0>,2,.95 scale <1,.5,1> texture{Tex2}}
	sphere {<0,.75,0>,1,-2.05 texture{Tex2}} 
		
	#local Count	= 0;
	#local Qty		= 20;
	
	#while (Count < Qty)
		sphere {<0,-.25,.65>,.15,1 rotate <0,((360 / Qty) * Count),0> texture{Tex3}}
		#local Count = (Count + 1);
	#end  
	
	#local Count	= 0; 
	
	#while (Count < (Qty - 1))
		sphere {<0,-.15,.65>,.1,1 rotate <0,(((360 / Qty) * Count) + (360 / (Qty * 2))),0> texture{Tex3}} 
		sphere {<0,-.15,.7>,.05,1 rotate <0,(((360 / Qty) * Count) + (360 / (Qty * 2))),0> texture{Tex3}}  
		sphere {<0,-.15,.72>,.03,1 rotate <0,(((360 / Qty) * Count) + (360 / (Qty * 2))),0> texture{Tex3}}
		#local Count = (Count + 1);
	#end 

	#local Count	= 0;  
	#while (Count < Qty)
		cylinder {<0,-.25,.75>,<0,0,.45>,.1,1 rotate <0,((360 / Qty) * Count),0> texture{Tex3}} 
		cylinder {<0,-.25,.75>,<0,-1,.45>,.1,1 rotate <0,((360 / Qty) * Count),0> texture{Tex3}}
		#local Count = (Count + 1);
	#end
	texture{pigment{White}} 
}     

difference {
	sphere {<0,0,0>,.7 scale <1,2,1> translate <0,-.25,0> texture{Tex6}} 
	box {<2,-.1,2><-2,2,-2> pigment{White}}
}    
/*
difference {
	sphere {<0,0,0>,1 scale <1.1,2,1.1> translate <0,.5,0> pigment{White}}
 	box {<0,10,10><10,-10,-10> pigment{White}}
}
*/ 
 
// snow dome

//sphere {<0,1,0>,1 pigment{White}}    

}

// the leaves   
#include "PCM.MCR"

#declare Petals1a =
union {

#declare Leaf = object {read_mesh ("Leaf1.pcm")}  

#local Count1 = 0;
#local Qty = 20;

#while (Count1 < Qty)
	object {Leaf scale 2 translate <0,1,0> rotate <0,((360 / Qty) * Count1),0> texture{Pod_Tex1}}   
	#local Count1 = (Count1 + 1);
#end

}   

#declare Petals2a =
union {

#declare Leaf = object {read_mesh ("Leaf2.pcm")}  

#local Count1 = 0;
#local Qty = 20;

#while (Count1 < Qty)
	object {Leaf scale 2 translate <0,1,0> rotate <0,((360 / Qty) * Count1),0> texture{Pod_Tex2}}   
	#local Count1 = (Count1 + 1);
#end

}     

#declare Petals3a =
union {

#declare Leaf = object {read_mesh ("Leaf3.pcm")}  

#local Count1 = 0;
#local Qty = 20;

#while (Count1 < Qty)
	object {Leaf scale 2 translate <0,1,0> rotate <0,((360 / Qty) * Count1),0> texture{Pod_Tex2}}   
	#local Count1 = (Count1 + 1);
#end

}    

#declare Petals4a =
union {

#declare Leaf = object {read_mesh ("Leaf4.pcm")}  

#local Count1 = 0;
#local Qty = 20;

#while (Count1 < Qty)
	object {Leaf scale 2 translate <0,1,0> rotate <0,((360 / Qty) * Count1),0> texture{Pod_Tex3}}   
	#local Count1 = (Count1 + 1);
#end

}        

#declare Petals5a =
union {

#declare Leaf = object {read_mesh ("Leaf5.pcm")}  

#local Count1 = 0;
#local Qty = 20;

#while (Count1 < Qty)
	object {Leaf scale 2 translate <0,1,0> rotate <0,((360 / Qty) * Count1),0> texture{Pod_Tex3}}   
	#local Count1 = (Count1 + 1);
#end

}

// heads with water droplets

#local Droopy = seed(13); 
#local Fuzzy = seed(13);

#local MaxX = 3;
#local MaxZ = 3;  

#local Norm = <0,0,0>;

#local Count1 = 0;
#local Qty = 10000;

#declare Petals1 =
union {
object {Petals1a}
merge {
#while (Count1 < Qty) 

	#local S1 = rand(Droopy);
	#if (S1 > .5) #local S1 = 1; #else #local S1 = -1; #end 
	
	#local S2 = rand(Droopy);
	#if (S2 > .5) #local S2 = 1; #else #local S2 = -1; #end   
	
	#local Start = <(rand(Droopy) * MaxX * S1),10,(rand(Droopy) * MaxZ * S2)>;
	
	#local Inter = trace (Petals1a, Start, (Start - <0,20,0>), Norm);
	
	#if (Norm.x != 0 | Norm.y != 0 | Norm.z != 0) 
		sphere {Inter, ((rand(Droopy) * .04) + .01) material{Glass}}
	#end 


	#local Count1 = (Count1 + 1);
#end
}
}

#local Count1 = 0;  

#declare Petals2 =
union {
object {Petals2a}
merge {
#while (Count1 < Qty) 

	#local S1 = rand(Droopy);
	#if (S1 > .5) #local S1 = 1; #else #local S1 = -1; #end 
	
	#local S2 = rand(Droopy);
	#if (S2 > .5) #local S2 = 1; #else #local S2 = -1; #end   
	
	#local Start = <(rand(Droopy) * MaxX * S1),10,(rand(Droopy) * MaxZ * S2)>;
	
	#local Inter = trace (Petals2a, Start, (Start - <0,20,0>), Norm);
	
	#if (Norm.x != 0 | Norm.y != 0 | Norm.z != 0) 
		sphere {Inter, ((rand(Droopy) * .04) + .01) material{Glass}}
	#end 


	#local Count1 = (Count1 + 1);
#end
}
}     

#local Count1 = 0; 

#declare Petals3 =
union {
object {Petals3a}
merge {
#while (Count1 < Qty) 

	#local S1 = rand(Droopy);
	#if (S1 > .5) #local S1 = 1; #else #local S1 = -1; #end 
	
	#local S2 = rand(Droopy);
	#if (S2 > .5) #local S2 = 1; #else #local S2 = -1; #end   
	
	#local Start = <(rand(Droopy) * MaxX * S1),10,(rand(Droopy) * MaxZ * S2)>;
	
	#local Inter = trace (Petals3a, Start, (Start - <0,20,0>), Norm);
	
	#if (Norm.x != 0 | Norm.y != 0 | Norm.z != 0) 
		sphere {Inter, ((rand(Droopy) * .04) + .01) material{Glass}}
	#end 


	#local Count1 = (Count1 + 1);
#end
}
}

#local Count1 = 0; 

#declare Petals4 =
union {
object {Petals4a}
merge {
#while (Count1 < Qty) 

	#local S1 = rand(Droopy);
	#if (S1 > .5) #local S1 = 1; #else #local S1 = -1; #end 
	
	#local S2 = rand(Droopy);
	#if (S2 > .5) #local S2 = 1; #else #local S2 = -1; #end   
	
	#local Start = <(rand(Droopy) * MaxX * S1),10,(rand(Droopy) * MaxZ * S2)>;
	
	#local Inter = trace (Petals4a, Start, (Start - <0,20,0>), Norm);
	
	#if (Norm.x != 0 | Norm.y != 0 | Norm.z != 0) 
		sphere {Inter, ((rand(Droopy) * .04) + .01) material{Glass}}
	#end 


	#local Count1 = (Count1 + 1);
#end
}
#local RangeY = .3;
#local RangeX = .3;  

#local Count2 = 0;
#local Qty2 = 600;

#while (Count2 < Qty2)
    
    cone {<.3,-1.5,0>,.015,<((rand(Fuzzy) * .3) + .9),((rand(Fuzzy) * .5) + -.3),0>,0 pigment{White} rotate <0,(360 * rand(Fuzzy)),0>}
    
	#local Count2 = (Count2 + 1);
	
#end
}

#local Count1 = 0; 

#declare Petals5 =
union {
object {Petals5a}
merge {
#while (Count1 < Qty) 

	#local S1 = rand(Droopy);
	#if (S1 > .5) #local S1 = 1; #else #local S1 = -1; #end 
	
	#local S2 = rand(Droopy);
	#if (S2 > .5) #local S2 = 1; #else #local S2 = -1; #end   
	
	#local Start = <(rand(Droopy) * MaxX * S1),10,(rand(Droopy) * MaxZ * S2)>;
	
	#local Inter = trace (Petals5a, Start, (Start - <0,20,0>), Norm);
	
	#if (Norm.x != 0 | Norm.y != 0 | Norm.z != 0) 
		sphere {Inter, ((rand(Droopy) * .04) + .01) material{Glass}}
	#end 


	#local Count1 = (Count1 + 1);
#end
}
#local RangeY = .3;
#local RangeX = .3;  

#local Count2 = 0;
#local Qty2 = 600;

#while (Count2 < Qty2)
    
    cone {<.3,-1.5,0>,.015,<((rand(Fuzzy) * .3) + .9),((rand(Fuzzy) * .5) + -.3),0>,0 pigment{White} rotate <0,(360 * rand(Fuzzy)),0>}
    
	#local Count2 = (Count2 + 1);
	
#end
}